# Class VertexCredentials.Builder

java.lang.Object
com.google.adk.models.VertexCredentials.Builder

Enclosing class:
  `VertexCredentials`

public abstract static class VertexCredentials.Builder extends Object
Builder for `VertexCredentials`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract VertexCredentials`
  `build()`
  `abstract VertexCredentials.Builder`
  `credentials(@Nullable com.google.auth.oauth2.GoogleCredentials value)`
  `abstract VertexCredentials.Builder`
  `location(@Nullable String value)`
  `abstract VertexCredentials.Builder`
  `project(@Nullable String value)`
  `final VertexCredentials.Builder`
  `setCredentials(@Nullable com.google.auth.oauth2.GoogleCredentials value)`
  Deprecated.
  `final VertexCredentials.Builder`
  `setLocation(@Nullable String value)`
  Deprecated.
  `final VertexCredentials.Builder`
  `setProject(@Nullable String value)`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### setProject

    @Deprecated @CanIgnoreReturnValue public final VertexCredentials.Builder setProject(@Nullable String value)
    Deprecated.

  - ### project

    @CanIgnoreReturnValue public abstract VertexCredentials.Builder project(@Nullable String value)

  - ### setLocation

    @Deprecated @CanIgnoreReturnValue public final VertexCredentials.Builder setLocation(@Nullable String value)
    Deprecated.

  - ### location

    @CanIgnoreReturnValue public abstract VertexCredentials.Builder location(@Nullable String value)

  - ### setCredentials

    @Deprecated @CanIgnoreReturnValue public final VertexCredentials.Builder setCredentials(@Nullable com.google.auth.oauth2.GoogleCredentials value)
    Deprecated.

  - ### credentials

    @CanIgnoreReturnValue public abstract VertexCredentials.Builder credentials(@Nullable com.google.auth.oauth2.GoogleCredentials value)

  - ### build

    public abstract VertexCredentials build()